Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpl
Class PrologException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  jpl.JPLException
                      jpl.PrologException

All Implemented Interfaces:
  java.io.Serializable

public final class PrologException
extends JPLException

PrologException instances wrap Prolog exceptions thrown (either by a Prolog engine or by user code) in the course of finding a solution to a Query. See JPLException for the handling of errors within the JPL Java-calls-Prolog interface.

This class allows Java code which uses JPL's Java-calls-Prolog API to handle Prolog exceptions, which is in general necessary for hybrid Java+Prolog programming.

Use the term() accessor to obtain a Term representation of the term that was thrown from within Prolog.

Copyright (C) 2004 Paul Singleton

Copyright (C) 1998 Fred Dushin

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library Public License for more details.

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Method Summary
`Term` | `term()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### term

    public Term term()

  Returns:
    a reference to the Term thrown by the call to throw/1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD